## ros-indigo-graspdb 1.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(graspdb)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED
  geometry_msgs
  rail_pick_and_place_msgs
  roscpp
  roscpp_serialization
  sensor_msgs
  tf2
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS roscpp roscpp_serialization
  DEPENDS pqxx
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

# Source files for the library
set(GRASPDB_SOURCE
  src/Client.cpp
  src/Entity.cpp
  src/Grasp.cpp
  src/GraspDemonstration.cpp
  src/GraspModel.cpp
  src/Orientation.cpp
  src/Pose.cpp
  src/Position.cpp
)

## Declare a cpp library
add_library(${PROJECT_NAME} ${GRASPDB_SOURCE})

## Add message build dependencies (needed for source build)
add_dependencies(${PROJECT_NAME}
  rail_pick_and_place_msgs_gencpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  pqxx
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-graspdb (1.1.9-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-graspdb (1.1.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-graspdb (1.1.7-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-graspdb (1.1.6-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 05 May 2015 04:00:00 -0000

ros-indigo-graspdb (1.1.5-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-graspdb (1.1.4-0trusty) trusty; urgency=high

  * weighted average of colors
  * reuse of grasp message
  * Contributors: Russell Toris
  * changelog updated
  * removed metric pre-compute
  * stores metrics
  * added segmented images to the database
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-graspdb (1.1.3-0trusty) trusty; urgency=high

  * removed metric pre-compute
  * stores metrics
  * added segmented images to the database
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-graspdb (1.1.2-0trusty) trusty; urgency=high

  * changed to upper case checking for names
  * changed to lower case checking for names
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-graspdb (1.1.1-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-graspdb (1.1.0-0trusty) trusty; urgency=high

  * general cleanup
  * header cleanup
  * major refactor of model generation
  * mutable accessors added
  * added TF2 data types
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-graspdb (1.0.4-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-graspdb (1.0.3-0trusty) trusty; urgency=high

  * correct dev added
  * added select all to database
  * repub of recognized objects addedg
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-graspdb (1.0.2-0trusty) trusty; urgency=high

  * fixed typo in include install directory
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 30 Mar 2015 04:00:00 -0000

ros-indigo-graspdb (1.0.1-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-graspdb (1.0.0-0trusty) trusty; urgency=high

  * minor cleanup
  * delete functions added
  * load functions for grasp models
  * added check for libpqxx version
  * add grasp added
  * grasp model class added
  * grasp data type added
  * grasp_models.unique
  * ID returned from add
  * typo fixed in SQL
  * major refactor
  * creates models table
  * virtual added to destructor
  * model added
  * ref ref ref
  * moved to internal PointCloud2 message
  * fixed bug in fixed frame constructor
  * bug fixes after initial testing
  * allow for copy of client
  * get array of objects based on object name
  * extract from database added for demonstrations
  * added node to load and publish grasps
  * new message for grasp demo
  * travis fix
  * minor edits
  * added mutex for list
  * more comments
  * comments for graspdb
  * comments for grasp demonstration
  * comments for pose
  * comments for position and orientation
  * first pass of new collector
  * consty const const const
  * insert grasp added
  * graspdb started (creates tables)
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-graspdb (0.0.2-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 18 Feb 2015 05:00:00 -0000

ros-indigo-graspdb (0.0.1-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-graspdb
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libpqxx-dev, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-sensor-msgs, ros-indigo-tf2
Homepage: http://ros.org/wiki/graspdb
Standards-Version: 3.9.2

Package: ros-indigo-graspdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpqxx-dev, ros-indigo-geometry-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-sensor-msgs, ros-indigo-tf2
Description: Grasp Training SQL Database Client Library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-graspdb//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
